# docker-jitsi-meet_configs

.env file for https://github.com/jitsi/docker-jitsi-meet


## instructions:
as listed in: https://github.com/jitsi/docker-jitsi-meet#quick-start


```
git clone https://github.com/jitsi/docker-jitsi-meet
cd docker-jitsi-meet
cp env.example .env
```
edit the .env as you wish or suggested in this repo,

all the lines that have been touched have a "#EDITED:" before
the fields you NEED to change are filled with "CHANGEME"

then:

```
docker-compose up

```
then add an user as listed in: https://github.com/jitsi/docker-jitsi-meet#authentication

```
docker-compose exec prosody /bin/bash
prosodyctl --config /config/prosody.cfg.lua register TheDesiredUsername meet.jitsi TheDesiredPassword
```
and test that you need to enter your credentials to 

## notes on adding a user:
the users for prosody are contained in:
```
CONFIG_FOLDER./prosody/data/meet%2ejitsi/accounts/
```
for every user there is a file username.dat, so for user Andrea with password "mypassword" there will be a file named:
```
CONFIG_FOLDER./prosody/data/meet%2ejitsi/accounts/andrea.dat
```
with this content:
```
return {
        ["password"] = "mypassword";
};
```
you can hot-add a file for a user without restarting anything, like for the creation via commandline.


## notes on docker-compose:
if something goes wrong, you might want to destroy all and start clean, for this you'll need to remove also the folder defined by CONFIG variable in .env, default is "~/.jitsi-meet-cfg"

you can do it with one liner:

```
docker-compose stop ; docker-compose rm ; docker system prune ; rm -rf ~/.jitsi-meet-cfg
```
